LibreOffice: FontMetrics Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
FontMetrics Struct Reference

Metrics global to the font, i.e. More...

## Public Attributes
double | Ascent
| Ascent (above the baseline) part of the font.
double | Descent
| Descent (below the baseline) part of the font.
double | InternalLeading
| Extra space above ascent.
double | ExternalLeading
| Extra space outside the font cells.
double | ReferenceCharSize
| This value specifies the reference character width of the font.
double | UnderlineOffset
| Specifies the offset to be added to the baseline when drawing underlined text.
double | StrikeThroughOffset
| Specifies the offset to be added to the baseline when striking through the text.

## Detailed Description

Metrics global to the font, i.e.

not specific to single glyphs. The font height is defined as ascent+descent+internalLeading, and therefore not explicitly included here.

Please note that when querying FontMetrics from an XCanvasFont interface, all values here are given relative to the font cell size. That means, the referenceCharWidth and/or ascent+descent+internalLeading will approximately (rounded to integer device resolution, or exactly, if fractional font rendering is enabled) match the referenceAdvancement/cellSize members of the FontRequest for which the XCanvasFont was queried. Please be aware that the values returned in this structure only map one-to-one to device pixel, if the combined rendering transformation for text output equals the identity transformation. Otherwise, the text output (and thus the resulting metrics) will be subject to that transformation. Depending on the underlying font technology, actual device output might be off by up to one device pixel from the transformed metrics.

Since
  OOo 2.0

## Member Data Documentation

## ◆ Ascent

double Ascent

Ascent (above the baseline) part of the font.

## ◆ Descent

double Descent

Descent (below the baseline) part of the font.

## ◆ ExternalLeading

double ExternalLeading

Extra space outside the font cells.

It should not contain ink marks and is typically used by the font designer to modify the line distance.

## ◆ InternalLeading

double InternalLeading

Extra space above ascent.

## ◆ ReferenceCharSize

double ReferenceCharSize

This value specifies the reference character width of the font.

It's roughly equivalent to the average width of all characters, and if one needs a font with double character width, the referenceCharSize should be doubled.

## ◆ StrikeThroughOffset

double StrikeThroughOffset

Specifies the offset to be added to the baseline when striking through the text.

## ◆ UnderlineOffset

double UnderlineOffset

Specifies the offset to be added to the baseline when drawing underlined text.

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/FontMetrics.idl